--- old/usr/src/uts/intel/sys/archsystm.h	2013-01-23 13:19:10.347478897 +0000
+++ new/usr/src/uts/intel/sys/archsystm.h	2013-01-23 13:19:10.368461577 +0000
@@ -121,6 +121,24 @@
 extern void getfpregs32(klwp_t *, fpregset32_t *);
 #endif
 
+struct ucontext;
+extern void xregs_clrptr(struct _klwp *, struct ucontext *);
+extern int xregs_hasptr(struct _klwp *, struct ucontext *);
+extern caddr_t xregs_getptr(struct _klwp *, struct ucontext *);
+extern void xregs_setptr(struct _klwp *, struct ucontext *, caddr_t);
+
+#if defined(_SYSCALL32_IMPL)
+struct ucontext32;
+extern void xregs_clrptr32(struct _klwp *, struct ucontext32 *);
+extern int xregs_hasptr32(struct _klwp *, struct ucontext32 *);
+extern caddr32_t xregs_getptr32(struct _klwp *, struct ucontext32 *);
+extern void xregs_setptr32(struct _klwp *, struct ucontext32 *, caddr32_t);
+#endif /* _SYSCALL32_IMPL */
+
+extern void xregs_get(struct _klwp *, caddr_t);
+extern void xregs_set(struct _klwp *, caddr_t);
+extern int xregs_getsize(struct proc *);
+
 struct fpu_ctx;
 
 extern void fp_free(struct fpu_ctx *, int);
